# -ao (Overwrite mode) switch

Specifies overwrite mode during extracting for files that already present on disk.

#### Syntax

    -ao[a | s | u ]

Switch | Description
--- | ---
-aoa | Overwrite All existing files without prompt.
-aos | Skip extracting of existing files.
-aou | aUto rename extracting file (for example, name.txt will be renamed to name_1.txt).
-aot | auto rename existing file (for example, name.txt will be renamed to name_1.txt).

#### Examples

    7z x test.zip -aoa

extracts all files from test.zip archive and overwrite existing files without prompt.

#### Commands that can be used with this switch

e (Extract), x (Extract with full paths)

#### See also

Switches: -y (assume Yes on all queries),